### Function

# GdkX11x11_set_sm_client_id

#### Declaration [src]

    void
    gdk_x11_set_sm_client_id (
      const char* sm_client_id
    )

#### Description [src]

Sets the `SM_CLIENT_ID` property on the application’s leader window so that the window manager can save the application’s state using the X11R6 ICCCM session management protocol.

See the X Session Management Library documentation for more information on session management and the Inter-Client Communication Conventions Manual.

#### Parameters

`sm_client_id`

  Type: `const char*`

  The client id assigned by the session manager when the connection was opened, or `NULL` to remove the property.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.